Data Sources

List Data Sources

GET
/v0/project/{idOrSlug}/data-sources

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/data-sources"
[
  {
    "id": "string",
    "projectId": "string",
    "name": "string",
    "referenceId": "string",
    "dataType": "number",
    "regex": "string",
    "allowNegative": true,
    "allowFloat": true,
    "minValue": 0,
    "maxValue": 0,
    "isArray": true,
    "metricShape": "scalar",
    "createdAt": "string",
    "updatedAt": "string"
  }
]
{
  "_tag": "DataSourceValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}